Name:           perl-Exception-Class
Version:        1.44
Release:        1%{?dist}
Summary:        Module that allows you to declare real exception classes in Perl
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Exception-Class/
Source0:        http://www.cpan.org/authors/id/D/DR/DROLSKY/Exception-Class-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008001
BuildRequires:  perl(base)
BuildRequires:  perl(Class::Data::Inheritable) >= 0.02
BuildRequires:  perl(Devel::StackTrace) >= 2.00
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(overload)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(warnings)
Requires:       perl(base)
Requires:       perl(Class::Data::Inheritable) >= 0.02
Requires:       perl(Devel::StackTrace) >= 2.00
Requires:       perl(overload)
Requires:       perl(Scalar::Util)
Requires:       perl(strict)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
RECOMMENDATION 1: If you are writing modern Perl code with Moose or Moo I
highly recommend using Throwable instead of this module.

%prep
%setup -q -n Exception-Class-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc appveyor.yml Changes CONTRIBUTING.md cpanfile dist.ini LICENSE META.json perlcriticrc perltidyrc README.md tidyall.ini
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon Feb 25 2019 Michael Stauber <mstauber@blueonyx.it> 1.44-1
- Specfile autogenerated by cpanspec 1.78.
